ConstantExpression (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.ConstantExpression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class ConstantExpression

    java.lang.Object
      org.codehaus.activemq.filter.ConstantExpression

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  ConstantExpression.BooleanConstantExpression

public class ConstantExpression
extends Object
implements Expression

Represents a constant expression

Version:
  $Revision: 1.1 $

Nested Class Summary
`(package private) static class` | `ConstantExpression.BooleanConstantExpression`

Field Summary
`static ConstantExpression.BooleanConstantExpression` | `FALSE`
`static ConstantExpression.BooleanConstantExpression` | `NULL`
`static ConstantExpression.BooleanConstantExpression` | `TRUE`

Constructor Summary
`ConstantExpression(Object value)`

Method Summary
`static ConstantExpression` | `createFloat(String text)`
`static ConstantExpression` | `createInteger(String text)`
`boolean` | `equals(Object o)` TODO: more efficient hashCode()
`Object` | `evaluate(Message message)`
`int` | `hashCode()` TODO: more efficient hashCode()
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    public static final ConstantExpression.BooleanConstantExpression NULL

### TRUE

    public static final ConstantExpression.BooleanConstantExpression TRUE

### FALSE

    public static final ConstantExpression.BooleanConstantExpression FALSE

Constructor Detail

### ConstantExpression

    public ConstantExpression(Object value)

Method Detail

### createInteger

    public static ConstantExpression createInteger(String text)

### createFloat

    public static ConstantExpression createFloat(String text)

### evaluate

    public Object evaluate(Message message)
                    throws JMSException

  Specified by:
    `evaluate` in interface `Expression`
  Returns:
    the value of this expression
  Throws:
    `JMSException`

### toString

    public String toString()

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  TODO: more efficient hashCode()

  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object o)

  TODO: more efficient hashCode()

  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.